Login  
Search All Forums
Dart Home | PowerTCP Zip Compression for .NET | Custom Development Reply | PowerTCP Zip Compression for .NET Topics | Forums   
AuthorForum: PowerTCP Zip Compression for .NET
Topic: .Net Framework v1.1.4322 dependency
CarloKuip

From: Oosterend, Netherlands
Posts: 2
Member Since: 05/14/10
posted May 14, 2010 3:39 AM

Hello,

We are looking to upgrade our codebase runtime support to .net framework version 2.0 and higher.
To be able to do that, all our dependant libraries need to support this runtime version. 
The current PowerTcp Zip library we are using(version 2.0.2.3) still depends on runtime v1.1.4322. Is there an updated version already available or is this in development?

Kind regards,
Carlo Kuip
Jamie Powell (Admin)

From: Rome, NY USA
Posts: 376
Member Since: 03/13/07

Extra Support Options
Custom Application Development

posted May 14, 2010 4:39 PM

Thank you for your post. We do not currently have a version of PowerTCP Zip Compression for .NET built in .NET 2.0. However, the .NET 2.0 Framework is backwards compatible and there should be no issue using the current version.

Thank you.
CarloKuip

From: Oosterend, Netherlands
Posts: 2
Member Since: 05/14/10
posted May 17, 2010 3:40 AM

Thanks for the reply. I understand the backwards compatibility but that is not an issue. The issue we have is regarding deployment. For the distribution of our offline application we provide a cdrom as installation medium. If there are dependencies on the .NET v1 framework we have to proivide the installer for that as well as the .Net 2 and higher frameworks. All these required platform installations are timeconsuming and does not provide our customers with a pleasant experience (installing an app of just 30MB takes around 10 minutes on a fresh installed machine). Therefore we would like to reduce the number of dependencies hence minimizing the number of framework versions we depend upon.

Kind Regards,
Carlo Kuip
Jamie Powell (Admin)

From: Rome, NY USA
Posts: 376
Member Since: 03/13/07

Extra Support Options
Custom Application Development

posted May 17, 2010 5:33 PM

Okay, I understand now and I'm sorry for the confusion.

The current product is build in .NET 1.0 Framework. We are currently working to have all PowerTCP for .NET products compiled in .NET 2.0. This will be a lengthy process and I cannot yet say when Zip will be updated, but please feel free to check on the progress at any time by emailing support@dart.com

Thank you.
Reply | PowerTCP Zip Compression for .NET Topics | Forums   
This site is powered by PowerTCP WebServer Tool PowerTCP WebServer for ActiveX